Bug 417971 - Bash sometimes locks up for unknown reasons
Bash sometimes locks up for unknown reasons
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-10 07:23 EST by Ingemar Nilsson
Modified: 2014-01-12 19:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ingemar Nilsson 2007-12-10 07:23:11 EST
Description of problem:

Sometimes when I bring up a new xterm (I use standard xterm, didn't try with the
other ones), bash locks up during the execution of the first command. This is a
hard lockup, and I cannot even close the window. Only the kill command will do.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Start the computer and login
2. Open an Xterm
3. Run e.g. ls
Actual results:

Only half the output appears, and now the window appears to be locked. CTRL-C
and CTRL-Z both fail to work. Closing the window by clicking the X button does
not work.

Expected results:

The entire output and a responsive prompt.

Additional info:

I only have this problem on my x86-64 desktop. I also run an i386 laptop with F7
and this problem has *never* occurred there.

Investigating this problem, I find that the ls process that I started in the
frozen window does not exist anymore. The xterm and the bash processes both
exist, but xterm responds (with poll() and read() calls) to mouse movement over
the window and thus does not seem to be frozen.

The bash process seems to be infinitely waiting on tcsetattr(), which in turn
seems to be infinitely waiting on ioctl(). These two conclusions were reached
after using ltrace and strace on the bash process. Output follows:

$ ltrace -p 3577
__errno_location()                               = 0x2aaaaaac5ee8
tcsetattr(0, 1, 0x7fffe4f5d5e0 <unfinished ...>
$ strace -p 3577
Process 3577 attached - interrupt to quit
ioctl(0, SNDCTL_TMR_STOP or TCSETSW <unfinished ...>
Process 3577 detached
Comment 1 Ingemar Nilsson 2007-12-10 07:29:25 EST
Actually just killing bash did not suffice. I had to kill the xterm manually.
Even when I had killed bash, the xterm still responded to mouse movement with
new read() and poll() calls. This is strange, but then I'm not really familiar
with the inner workings of the terminal.
Comment 2 Tomas Janousek 2008-01-21 10:12:43 EST
There's probably something strange with pseudoterminal handling in xterm/kernel.
I wasn't able to reproduce it, but I did it on F-8 or something similar. I'll Cc
xterm and kernel maintainers to look at this since I doubt this is a bash issue.
Comment 3 Miroslav Lichvar 2008-01-21 10:30:49 EST
Any chance you are using Xinerama? If yes, it's likely a duplicate of bug #205982. 
Comment 4 Ingemar Nilsson 2008-01-29 06:59:46 EST
I'm using Xinerama.
Comment 5 Bug Zapper 2008-05-14 11:08:49 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:55:07 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.